KF5-CONFIG(1)

NOM
kf5-config - Imprimeix els camins de la instal⋅lació del KDE

SINOPSI

kf5-config [--expandvars] [--prefix] [--exec-prefix] [--libsuffix] [--localprefix] [--version] [--types] [--path type] [--userpath type] [--install type]

DESCRIPCIÓ

kf5-config és un programa de línia d'ordres emprat per a rebre informació quant a la instal⋅lació del KDE o els camins d'ús.

Aquest programa s'usa per a determinar els diversos aspectes de a on resideix instal⋅lat el KDE sobre el vostre sistema.

OPCIONS

--expandvars
    expandeix ${prefix} i ${exec_prefix} en la sortida

--prefix
    Les biblioteques KDE han estat compilades sobre prefix

--exec-prefix
    Les biblioteques KDE han estat compilades sobre exec_prefix

--libsuffix
    El camí de les biblioteques es troba al sufix

--localprefix
    Prefix en $HOME usat per a escriure fitxers

--version
    Les biblioteques KDE han estat compilades en la versió

--types
    Imprimeix a pantalla una llista de tots els tipus de recurs KDE disponibles

--path tipus
    Cerca el camí per al tipus especificat

--userpath tipus
    Camins d'usuari per als tipus: desktop|autostart|trash|document

--install tipus
    Prefix a on instal⋅lar els fitxers de recurs

EXEMPLES

Imprimir el directori arrel de la instal⋅lació del KDE:

% kf5-config --prefix

Imprimir una llista de tots els tipus recursos:

% kf5-config --types

Imprimir el camí del fons d'escriptori que teniu instal⋅lat:

% kf5-config --path fons_d'escriptori

VEURE TAMBÉ

kdeoptions(7)

ERRORS

No se'n coneixen.

AUTOR

Kulow, Stephan <coolo@kde.org>
    Autor.